###############################################################################################################
# spring-cloud相关配置
eureka:
  client:                                   #客户端注册进eureka服务列表内
    service-url:
      defaultZone:                          http://eureka-service:8761/eureka
#启用监控
management:
  endpoints:
    web:
      exposure:
        include:
          - "*"  # 开放所有端点health，info，metrics，通过actuator/+端点名就可以获取相应的信息。默认打开health和info
  endpoint:
    health:
      #未开启actuator/health时，我们获取到的信息是{"status":"UP"}，status的值还有可能是 DOWN。开启后打印详细信息
      show-details:                       always
###############################################################################################################

spring:
  servlet:
    multipart:
      enabled: true
      max-file-size: 10000MB
      max-request-size: 10000MB

  application:
    name:                               labsl
  mvc:
    favicon:
      enabled:                          true

  jmx:
    default-domain:                     labsl

  datasource:
    name:                               labsl
    type:                               com.alibaba.druid.pool.DruidDataSource
    driver-class-name:                  org.postgresql.Driver
#    url:                                jdbc:postgresql://60.205.177.43:5432/datacenter
#    username:                           postgres
#    password:                           123qwe!@#

  jackson:
    date-format:                        yyyy-MM-dd HH:mm:ss
    time-zone:                          Asia/Shanghai
    default-property-inclusion:         non_null
    # 首字母大写
    property-naming-strategy:           com.fasterxml.jackson.databind.PropertyNamingStrategy.PascalCaseStrategy
    # 以下划线分隔全小写的单词
    #property-naming-strategy:           com.fasterxml.jackson.databind.PropertyNamingStrategy.LowerCaseWithUnderscoresStrategy
    mapper:
      # 属性按字母顺序输出
     sort_properties_alphabetically:   true

  activemq:
    in-memory:                          true
    pool.enabled:                       false
    user:                               admin
    password:                           admin

  jms:
    pub-sub-domain: true

topic:                                 datacenter.broadcast

mybatis:
  typeAliasesPackage:                   cn.sagacloud.server.datacenter.entities


